set v6vhost "host"
set v6ircserver "serveripv6"
set v6ircport 6667
set v6tunnelport 3436
set v6check 20

proc v6control {} {
  global v6vhost v6ircserver v6ircport v6tunnelport v6check
  global server
  if {$server == ""} {
    putlog "#ipv6# Bot not connected."
    set tmpvar [exec ps x]
    if {[llength $v6vhost] == 0} {
      set tmptext "* ./6tunnel -1 $v6tunnelport $v6ircserver $v6ircport*"
    } else {
      set tmptext "* ./6tunnel -1 -s $v6vhost $v6tunnelport $v6ircserver $v6ircport*"
    }
    if ![string match $tmptext $tmpvar] {
      if {[llength $v6vhost] == 0} {
        exec ./6tunnel -1 $v6tunnelport $v6ircserver $v6ircport
      } else {
        exec ./6tunnel -1 -s $v6vhost $v6tunnelport $v6ircserver $v6ircport
      }
      putlog "#ipv6# Running 6tunnel..."
    }
    jump 127.0.0.1 $v6tunnelport
    putlog "#ipv6# Connecting on $v6ircserver with vhost $v6vhost..."
  }
  set costam [utimer $v6check v6control]
  return 0
}

set costam [utimer 5 v6control]

putlog "-----> ipv6 script loaded sucessfully!"
